POST api/batchapi/add/loadingstep?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
Required |
Body Parameters
BatchLoadingStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| mediwave_id | globally unique identifier |
Required |
|
| batch_details | Collection of BatchDetailViewModel |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "8583addb-a5c9-4caa-8305-21fc299bdd04",
"mediwave_id": "f3bc82b0-3096-440f-8bf6-8da0bca33ca0",
"batch_details": [
{
"id": "52701823-6c6c-4b6a-9110-f571bd8bdc93",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-06-09T05:32:40.7199434+00:00",
"reference": "sample string 4"
},
{
"id": "52701823-6c6c-4b6a-9110-f571bd8bdc93",
"compartment": 2,
"witness_code": 3,
"unload_time": "2026-06-09T05:32:40.7199434+00:00",
"reference": "sample string 4"
}
]
}
application/xml, text/xml
Sample:
<batch_loading_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<batch_details>
<batch_detail>
<compartment>2</compartment>
<id>52701823-6c6c-4b6a-9110-f571bd8bdc93</id>
<reference>sample string 4</reference>
<unload_time>2026-06-09T05:32:40.7199434+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
<batch_detail>
<compartment>2</compartment>
<id>52701823-6c6c-4b6a-9110-f571bd8bdc93</id>
<reference>sample string 4</reference>
<unload_time>2026-06-09T05:32:40.7199434+00:00</unload_time>
<witness_code>3</witness_code>
</batch_detail>
</batch_details>
<id>8583addb-a5c9-4caa-8305-21fc299bdd04</id>
<mediwave_id>f3bc82b0-3096-440f-8bf6-8da0bca33ca0</mediwave_id>
</batch_loading_step>
application/x-www-form-urlencoded
Sample:
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"3593359a-cd04-4cbd-a4aa-31c925221f45"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">3593359a-cd04-4cbd-a4aa-31c925221f45</guid>